In Filamente v2.8, we’re discontinuing support for iOS7

Dear customers,

We’ve had a look at the statistics and it turns out that there are about eight percent of our users who are still running iOS 7. This number is going to drop in the coming months, especially once iOS 9 is introduced.

We’ve decided it’s not a good use of our time to make sure that Filamente is running as well as we’d like it to on this platform which the vast majority of our userbase has already moved away from. So, we’re dropping support for iOS7 from Filamente v2.8 which is expected to be available in August 2015.

We hope that you understand and appreciate our decision because it means we’ll be able to spend more time on improving the new version of Filamente.

Sincerely,

The Filamente Team